Bienvenue sur le forum de Phonandroid !

[Résolu] Gérer la compatibilité avec les appareils

[Résolu] Gérer la compatibilité avec les appareils

Messagepar p4nzer » Jeu 16 Mar 2017 12:16

Bonjour,

Je développe une application Android avec windev pour mon travail. J'ai mis en ligne hier la dernière mise à jour et je me suis rendu compte après coup que la tablette que nous offrons à nos clients avec cette application, n'est plus compatible sur le playstore (alors que si j'installe directement l'app sur la tablette sans passer par le playstore, cette dernière fonctionne parfaitement...).

Image

Comment puis-je déterminer ce qui fait que cette tablette soit "incompatible" avec mon application pour que je puisse du coup y remédier ?

Merci
Android Newbie
Android Newbie
 
Messages: 5
Enregistré le: 07 Aoû 2014

Publicité
android
Membre
 
Messages: 3452
Inscription: 1 Juil 2010
Mobile: Samsung galaxy

Re: Gérer la compatibilité avec les appareils

Messagepar Valentin » Jeu 16 Mar 2017 21:41

Salut,

regarde dans ton manifest.xml tu devrais voir une balise <uses-sdk> avec en attribut la version minimum.
Si non, rajoute le.
Suivez PhonAndroid sur :

FacebookTwitterGoogle+Vous devez etre membre pour voir le lien! inscrivez vous... gratuitement :-) ici
Avatar de l’utilisateur
Modérateur global
Modérateur global
 
Messages: 10888
Enregistré le: 20 Fév 2013
Localisation: Au pays d'Oz
Mobile: Google Pixel

Re: Gérer la compatibilité avec les appareils

Messagepar p4nzer » Ven 17 Mar 2017 09:54

Bonjour Valentin, merci pour ta réponse.

Dans mon AndroidManifest.xml, j'ai effectivement cette ligne là :
Code: Tout sélectionner
<uses-sdk
        android:minSdkVersion="18"
        android:targetSdkVersion="24" />


Ma tablette est en Android 4.4.4, mais je ne sais pas comment voir la version du SDK qu'elle utilise...

Merci
Android Newbie
Android Newbie
 
Messages: 5
Enregistré le: 07 Aoû 2014

Re: Gérer la compatibilité avec les appareils

Messagepar Valentin » Ven 17 Mar 2017 14:02

Dans le "minSdkVersion" remplace 18 par 14 et renvoie l'apk sur le Play Store afin de voir si tu peux la télécharger sur ton appareil.
Suivez PhonAndroid sur :

FacebookTwitterGoogle+Vous devez etre membre pour voir le lien! inscrivez vous... gratuitement :-) ici
Avatar de l’utilisateur
Modérateur global
Modérateur global
 
Messages: 10888
Enregistré le: 20 Fév 2013
Localisation: Au pays d'Oz
Mobile: Google Pixel

Re: Gérer la compatibilité avec les appareils

Messagepar p4nzer » Mar 21 Mar 2017 10:17

Bonjour, c'est fait, cela ne règle pas mon problème malheureusement... :/

Question, puis-je reprendre le manifeste de mon ancienne version et le copier tel quel dans ma nouvelle version ? Mais je pense que cela risque de poser des problèmes au niveau des autorisations, etc... :?
Android Newbie
Android Newbie
 
Messages: 5
Enregistré le: 07 Aoû 2014

Re: Gérer la compatibilité avec les appareils

Messagepar p4nzer » Mar 21 Mar 2017 11:56

Re,

Ok c'est bon, c'était un problème dans les permissions et les fonctionnalités de l'application.

Merci pour ton aide Valentin :-)
Android Newbie
Android Newbie
 
Messages: 5
Enregistré le: 07 Aoû 2014

Re: Gérer la compatibilité avec les appareils

Messagepar Valentin » Mar 21 Mar 2017 13:59

Content pour toi dans ce cas :wink:

Ce n'était pas dans le Manifest ? Comment as tu fait ?
Suivez PhonAndroid sur :

FacebookTwitterGoogle+Vous devez etre membre pour voir le lien! inscrivez vous... gratuitement :-) ici
Avatar de l’utilisateur
Modérateur global
Modérateur global
 
Messages: 10888
Enregistré le: 20 Fév 2013
Localisation: Au pays d'Oz
Mobile: Google Pixel

Re: Gérer la compatibilité avec les appareils



Retourner vers Développement: Applications et jeux



  • Articles en relation
    Réponses
    Vues
    Dernier message